# pandas.MultiIndex.from_arrays

classmethod `MultiIndex.``from_arrays`(arrays, sortorder=None, names=None)

  Convert arrays to MultiIndex

  Parameters:

  arrays : list / sequence of array-likes

  > Each array-like gives one level’s value for each data point. len(arrays) is the number of levels.

  sortorder : int or None

  > Level of sortedness (must be lexicographically sorted by that level)

  Returns: | index : MultiIndex

  See also

  `MultiIndex.from_tuples`
    Convert list of tuples to MultiIndex
  `MultiIndex.from_product`
    Make a MultiIndex from cartesian product of iterables

  Examples

      >>> arrays = [[1, 1, 2, 2], ['red', 'blue', 'red', 'blue']]
      >>> MultiIndex.from_arrays(arrays, names=('number', 'color'))

Scroll To Top